Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## grails.artefact
[Java] Annotation Type Enhanced

    java.lang.Object
      grails.artefact.Enhanced

    @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
    @java.lang.annotation.Target({ElementType.TYPE})
    public @interface Enhanced

An annotation for classes that are compile-time enhanced. Used to fallback to runtime enhancement if compile time enhancement does not occur.

Authors:
  Graeme Rocher

Since:
  2.0

Required Element Summary
`java.lang.String` | `version`

Optional Element Summary
`java.lang.String` | `enhancedFor` @default {}
`java.lang.Class` | `mixins` @default {}

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### enhancedFor

    public java.lang.String[] enhancedFor

  @default {}

### mixins

    public java.lang.Class[] mixins

  @default {}

### version

    public java.lang.String version

Groovy Documentation